pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: PR/40230 CVS commit: pkgsrc/sysutils/hal

The following reply was made to PR pkg/40230; it has been noted by GNATS.

From: Matthias Scheler <>
Subject: Re: PR/40230 CVS commit: pkgsrc/sysutils/hal
Date: Sat, 20 Dec 2008 11:26:46 +0000

 On Fri, Dec 19, 2008 at 11:15:03PM +0000, Jared D. McNeill wrote:
 >  Module Name:        pkgsrc
 >  Committed By:       jmcneill
 >  Date:               Fri Dec 19 23:13:24 UTC 2008
 >  Modified Files:
 >      pkgsrc/sysutils/hal: Makefile
 >  Log Message:
 >  PR# pkg/40230: "libvolume_id" doesn't build under Mac OS X
 >  HAL uses the dummy backend on OSX, so no need to pull in libvolume_id.
 Building the "hal" package now breaks at "policykit":
 checking for pam_start in -lpam... no
 configure: error: Could not find pam/pam-devel, please install the needed 
 *** Error code 1
 bmake: stopped in /share/src/NetBSD-current/pkgsrc/security/policykit
 It uses a weird linker option called "--as-needed":
 configure:24053: gcc -o conftest -pipe -O2 -I/usr/pkg/include -I/usr/include 
 ll -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith 
 ast-align -Wsign-compare -Wformat -Wformat-security -no-cpp-precomp -isystem 
 r/include -I/usr/pkg/include -I/usr/include -Wl,--as-needed -L/usr/pkg/lib 
 r/lib conftest.c -lpam   >&5
 ld: unknown option: --as-needed
 collect2: ld returned 1 exit status
 configure:24060: $? = 1
        Kind regards
 Matthias Scheler                        

Home | Main Index | Thread Index | Old Index